package fr.eni.enchere.bo;

import java.time.LocalDate;
import java.util.Calendar;

public class ForgotPassword {

    private int id;
    private String email;
    private String link;
    private Calendar dateCreate;
    private Calendar dateExpire;

    public ForgotPassword() {}

    public ForgotPassword(int id, String email, String link, Calendar dateCreate, Calendar dateExpire) {
        setId(id);
        setEmail(email);
        setLink(link);
        setDateCreate(dateCreate);
        setDateExpire(dateExpire);
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Calendar getDateCreate() {
        return dateCreate;
    }

    public void setDateCreate(Calendar dateCreate) {
        this.dateCreate = dateCreate;
    }

    public Calendar getDateExpire() {
        return dateExpire;
    }

    public void setDateExpire(Calendar dateExpire) {
        this.dateExpire = dateExpire;
    }

}
